# RippleNet Server API

The {% $env.PUBLIC_VAR_RNSERVER %} API provides you the ability to develop custom applications to manage or interact with your RippleNet instance.

Check out the [best practices](../../ripplenet/best-practices/) and [tutorials](../../ripplenet/tutorials/).

### Authentication

All API operations require a bearer access token for your target environment.<br>Learn how to [request the access token](../best-practices/authentication/#request-the-access-token).

### API environments

The RippleNet Server API creates a dynamic `[domainPrefix]` that consists of `{tenant}.{environment}`.

**Note**: This example uses `aperture` as the tenant. Your tenant ID is different.

| Environment  | Domaing Prefix | Domain | Base URL |
| --- | --- | --- | --- |
| Test | `aperture.test` | `ripplexcurrent.com`| `https://aperture.test.ripplexcurrent.com` |
| UAT | `aperture.uat` | `ripplexcurrent.com`| `https://aperture.uat.ripplexcurrent.com` |
| Production | `aperture.prod` | `ripplexcurrent.com`| `https://aperture.prod.ripplexcurrent.com` |

Version: 4.0.0

## Servers

```
//[domainPrefix].ripplexcurrent.com/v4
```

## Security

### Bearer

[object Object]

Type: apiKey
In: header
Name: Authorization

## Download OpenAPI description

 - [RippleNet Server API](https://docs.ripple.com/_bundle/@l10n/pt-BR/products/payments-odl/api-docs/ripplenet/reference/openapi.yaml)

## Auditing

 - [GET /audit](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/auditing/getaudits.md): Gets an audit trail of user actions and configuration changes (to accounts, fees, and rates) on a RippleNet instance.
 - [GET /audit/payment/{id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/auditing/geteventtrailforpayment.md): Gets an audit trail of a payment's state changes on a local RippleNet instance.
## Balances and statements

 - [GET /monitor/balances](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/balances-and-statements/getbalances.md): Get balances for local and remote accounts owned by a RippleNet address.
 - [GET /monitor/ledger/balances](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/balances-and-statements/getledgerbalances.md): Get balances for ledger owned by a RippleNet address.
 - [GET /statement/{account_name_with_address}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/balances-and-statements/getstatement.md): Gets a statement for an account that lists payments and transfers that impacted the account's balance during a specified date-time range.
 - [GET /statement/external_account_id/{external_account_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/balances-and-statements/getstatementbyexternalaccountid.md): Gets a statement for an account that lists payments and transfers that impacted the account's balance during a specified date-time range.
 - [GET /statement/ledger/{account_name_with_address}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/balances-and-statements/getledgeraccountstatement.md): Get statement for a specified Ledger account. **Note**: This operation is deprecated. Use the [Reports API](https://docs.ripple.com/payments-odl/api-docs/report_service/reference/) to view your statem
## Beneficiary confirmation

 - [GET /account_lookups](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/beneficiary-confirmation/getaccountlookupbystatus.md): Get Account Lookup entities by status and other filters. Status defaults to `REQUESTED`.
 - [POST /account_lookups/request](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/beneficiary-confirmation/initiateaccountlookup.md): Creates an Account Lookup request to validate a beneficiary's account details before sending a payment. Account lookups are not part of the payment flow and can be made at any time in the payment proc
 - [POST /account_lookups/response](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/beneficiary-confirmation/completeaccountlookup.md): Posts an Account Lookup response to validate a beneficiary's account details before payment.
 - [GET /account_lookups/{account_lookup_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/beneficiary-confirmation/getaccountlookupbyid.md): Gets an Account Lookup entity for its `account_lookup_id` value.
## Diagnostics

 - [GET /health](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/diagnostics/checkhealth.md): Gets the health status of the xCurrent server.
 - [GET /heartbeat](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/diagnostics/checkheartbeat.md): Gets the health status of the xCurrent server's peers. This request requires authorization. The timeout for this operation is 5 seconds.
## Exchange transfers

 - [GET /exchange_transfers](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/exchange-transfers/getexchangetransfers.md): Gets all exchange transfers.
 - [POST /exchange_transfers/execute](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/exchange-transfers/executeexchangetransfer.md): Execute an exchange transfer to move funds from one of your accounts in one currency (USD, for example) to another one of your accounts in another currency (EUR, for example) at an exchange rate set b
 - [POST /exchange_transfers/quote](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/exchange-transfers/getexchangetransferquote.md): Requests a quote for an exchange transfer.
 - [POST /exchange_transfers/{id}/complete](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/exchange-transfers/completeexchangetransfer.md): Updates the status of an exchange transfer to `COMPLETED`. Make this request once the exchange transfer has been made on both the ledger and on internal systems.
 - [GET /exchange_transfers/{id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/exchange-transfers/getexchangetransferbyid.md): Gets an exchange transfer by ID.
## Fees

 - [GET /config/fees](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/fees/getfees.md): Gets a list of fees.
 - [POST /config/fees](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/fees/createfee.md): Creates a fee.
 - [GET /config/fees/{id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/fees/getfeebyid.md): Gets a fee by ID.
 - [PUT /config/fees/{id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/fees/updatefee.md): Updates an existing fee.
 - [DELETE /config/fees/{id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/fees/deletefee.md): Deletes a fee. Once deleted, a fee cannot be accessed.
## Non-orchestration payments

 - [GET /payments](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/getpayments.md): Retrieves all payments in an instance of xCurrent that meet the criteria defined by the query parameters. You can use the query parameters to filter payments. The default parameters are `sort_field :
 - [GET /payments/{payment_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/getpaymentbypaymentid.md): Gets a payment by ID.
 - [POST /payments/{payment_id}/lock](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/lockpayment.md): Locks a payment. The beneficiary and all intermediary institutions agree to proceed with the payment by making successful Lock Payment requests. When the payment is still in a *partially* `LOCKED` sta
 - [POST /payments/{payment_id}/reject](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/rejectlockpayment.md): Rejects a payment from being locked. This temporarily stops the payment and keeps it in a recoverable state so that [user_info](/products/payments-odl/api-docs/ripplenet/resources/srpo/user-info) can
 - [POST /payments/{payment_id}/retry_accept](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/retryacceptpayment.md): Returns a rejected payment from the `LOCK_DECLINED` state to the `ACCEPTED` state. The payment sender must include repaired [user_info](/products/payments-odl/api-docs/ripplenet/resources/srpo/user-in
 - [POST /payments/{payment_id}/fail](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/failpayment.md): Fails a payment. Fail payment is a deliberate action that permanently stops the payment and puts it into a non-recoverable state. An institution *rejects* a payment to solicit changes to [user_info](/
 - [POST /payments/{payment_id}/settle](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/settlepayment.md): Executes a payment in the LOCKED state. Payment senders can also retry settling a payment in the SETTLEMENT_DECLINED state, after the error is corrected (and before the payment expires).Settle payment
 - [POST /payments/{payment_id}/finalize](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/finalizepayment.md): Marks a payment with finalized sub-states that reflect what is happening to the payment while it is in the EXECUTED state. The receiving institution can make this request multiple times to provide a l
 - [POST /payments/{payment_id}/sub_state](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/addpaymentsubstate.md): Adds a sub-state to a payment that reflects what is happening to the payment while it is in the `EXECUTED` state. All nodes on the payment chain can make this request multiple times to provide a log o
 - [POST /payments/{payment_id}/complete](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/completepayment.md): Marks a payment as complete by placing it in the `COMPLETED` state. Typically, the receiving institution makes this request when it has delivered payment funds to the final beneficiary on its internal
 - [PUT /payments/{payment_id}/labels](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/addpaymentlabels.md): Adds a list of labels to the payment. To retrieve payments by label, see [Get payments](#operation/getPayments).
 - [DELETE /payments/{payment_id}/labels](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/deletepaymentlabels.md): Deletes an existing label from a payment. The label you provide is deleted from the `labels` array in the Payment object.
 - [GET /payments/{payment_id}/node-status](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/getpaymentnodestatus.md): Senders can query for the RippleNet instances (in a given payment chain) that have payments in the LOCKED state. This information is only stored on the sender's RippleNet instance.
 - [GET /payments/filtered/{payment_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/getfilteredpaymentbypaymentid.md): Returns a sanitized payment with sensitive content filtered from the `user_info` object. Filtering `user_info` is customizable in `rnn.properties`. Content that is denylisted by default: `/Cdtr, /Cdtr
 - [POST /quote_collections/return](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/createquotetoreturnpayment.md): Creates a collection of quotes that can be used to return a payment. The receiver can make this request while the payment is in states `EXECUTED`, `COMPLETED`, or `FAILED`. When the returned payment i
 - [POST /quote_collections/reversal](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/non-orchestration-payments/createquotetoreversepayment.md): Creates a quote collection containing at most one quote that can be used to reverse a payment. The receiver can make this request while the payment is in states `EXECUTED`, `COMPLETED`, or `FAILED`. W
## Orchestration payments

 - [POST /v4/orchestration/payment](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/createorchestrationpayment.md): Creates an orchestration payment.
 - [GET /v4/orchestration/payment](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/getorchestrationpayments.md): Gets a list of orchestration payments.
 - [GET /v4/orchestration/payment/{uniqueReferenceNumber}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/getorchestrationpayment.md): Gets orchestration payment by unique reference number.
 - [POST /v4/orchestration/payment/return](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/returnorchestrationpayment.md): Returns the orchestration payment with customer end-to-end ID.
 - [POST /v4/orchestration/payment/accept](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/acceptorchestrationpayment.md): Accepts the orchestration payment with customer end-to-end ID and Quote ID.
 - [POST /v4/orchestration/payment/reversal](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/reverseorchestrationpayment.md): Reverses the orchestration payment with customer end-to-end ID.
 - [GET /v4/orchestration/payment/notification](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/getorchestrationpaymentnotifications.md): Gets a list of orchestration payment notifications with a given status.
 - [GET /v4/orchestration/payment/notification/urn/{uniqueReferenceNumber}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/getorchestrationpaymentnotificationsbyuniquereferencenumber.md): Gets orchestration payment notifications with a given unique reference number.
 - [GET /v4/orchestration/payment/notification/{uuid}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/getorchestrationpaymentnotificationbyuuid.md): Gets a given orchestration payment notification by UUID.
 - [PUT /v4/orchestration/payment/notification/{uuid}/ack](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/acknowledgeorchestrationpaymentnotificationbyuuid.md): Acknowledges an orchestration payment notification with a specified UUID.
 - [PUT /v4/orchestration/payment/notification/ack](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/acknowledgeorchestrationpaymentnotifications.md): Acknowledges multiple orchestration payment notifications using a list of UUIDs.
 - [POST /v4/orchestration/payment/action](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/orchestration-payments/sendorchestrationpaymentaction.md): Posts action into the Orchestration service.
## Payment expiration

 - [GET /config/payments/payment_expiries/{payment_expiry_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/payment-expiration/getpaymentexpirybyid.md): Gets the time to live (ttl) of a payment expiry in seconds.
 - [PUT /config/payments/payment_expiries/{payment_expiry_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/payment-expiration/updatepaymentexpiry.md): Updates the time to live (ttl) of a payment expiry in seconds.
 - [DELETE /config/payments/payment_expiries/{payment_expiry_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/payment-expiration/deletepaymentexpiry.md): Deletes a payment expiry.
 - [GET /config/payments/payment_expiries](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/payment-expiration/getpaymentexpiries.md): Returns all configured payment expiries.
 - [POST /config/payments/payment_expiries](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/payment-expiration/createpaymentexpiry.md): Creates a payment expiration window, or time to live (ttl), in seconds.
## Payout method

 - [POST /config/payout_methods](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/payout-method/createpayoutmethod.md): Creates a payout method (for example, `LOCAL_RAILS`). The Payout Method API lets receivers create and manage payout methods. Senders can generate quotes based on these receiver payout methods by enabl
 - [GET /config/payout_methods](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/payout-method/getpayoutmethods.md): Returns a list of payout methods created by a receiving partner.
 - [GET /config/payout_methods/{payout_method_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/payout-method/getpayoutmethodbyid.md): Returns a payout method by its ID.
 - [PUT /config/payout_methods/{payout_method_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/payout-method/updatepayoutmethod.md): Updates a payout method.
 - [DELETE /config/payout_methods/{payout_method_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/payout-method/deletepayoutmethod.md): Deletes a payout method.
 - [GET /config/payout_methods/categories](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/payout-method/getallcategories.md): Returns all the payout method categories.
## Platform accounts

 - [POST /config/platforms](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/createplatform.md): Creates a RippleNet platform, which represents a financial entity that holds accounts in the real world (e.g. Bank, Exchange or Wallet provider). This operation creates a database record for a platfor
 - [GET /config/platforms](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/getallplatforms.md): Returns a list of all active RippleNet platforms.
 - [GET /config/platforms/{platform_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/getplatformbyplatformid.md): Get a RippleNet platform by its platform ID.
 - [PUT /config/platforms/{platform_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/updateplatform.md): Updates a RippleNet platform, which represents a financial entity that holds accounts in the real world (e.g. Bank, Exchange or Wallet provider). This operation creates a database record for a platfor
 - [DELETE /config/platforms/{platform_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/deleteplatformbyplatformid.md): Deletes a RippleNet platform by its platform ID.
 - [POST /config/platforms/accounts](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/createplatformaccount.md): Creates a RippleNet platform account, which represents a real-world account owned by a financial entity (e.g. Bank, Exchange or Wallet provider). This operation creates a database record for a platfor
 - [GET /config/platforms/accounts](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/getplatformaccounts.md): Returns a paged list of all active RippleNet platform accounts.
 - [GET /config/platforms/accounts/{platform_account_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/getplatformaccountbyplatformaccountid.md): Gets a RippleNet platform account by its platform account ID.
 - [PUT /config/platforms/accounts/{platform_account_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/updateplatformaccount.md): Updates a RippleNet platform account, which represents a real-world account owned by a financial entity (e.g. Bank, Exchange or Wallet provider).
 - [DELETE /config/platforms/accounts/{platform_account_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/deleteplatformaccountbyplatformaccountid.md): Deletes a RippleNet platform account by its platform account ID.
 - [GET /monitor/platform/accounts/balances](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/getplatformaccountsbalances.md): Get balances for local Platform Accounts
 - [GET /monitor/platform/accounts/{platformAccountId}/statement](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/platform-accounts/getplatformaccountstatement.md): Get statement for a specified Platform Account
## Pool accounts

 - [GET /config/pool_accounts](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/pool-accounts/getallpoolaccounts.md): Returns a list of all pool accounts on a RippleNet node.
 - [GET /config/pool_accounts/{pool_account_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/pool-accounts/getpoolaccountbypoolaccountid.md): Get a pool account by its pool account ID.
## Quote expiration

 - [GET /config/payments/quote_expiries](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/quote-expiration/getquoteexpiries.md): Returns all configured quote expiries.
 - [POST /config/payments/quote_expiries](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/quote-expiration/createquoteexpiry.md): Creates a quote expiration window, or time to live (ttl), in seconds.
 - [GET /config/payments/quote_expiries/{quote_expiry_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/quote-expiration/getquoteexpirybyid.md): Gets the time to live (ttl) of a quote expiry in seconds.
 - [PUT /config/payments/quote_expiries/{quote_expiry_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/quote-expiration/updatequoteexpiry.md): Updates the time to live (ttl) of a quote expiry in seconds.
## Quotes

 - [POST /payments/accept](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/quotes/acceptquote.md): Accepts a quote ID to start the payment process.
 - [GET /quotes](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/quotes/getquotes.md): Gets a list of quotes.
 - [GET /quotes/{quote_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/quotes/getquotebyquoteid.md): Gets a quote by ID.
 - [POST /quote_collections](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/quotes/createquotecollection.md): Creates a collection of quotes for a proposed payment.
 - [GET /quote_collections/{quote_collection_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/quotes/getquotecollectionbyid.md): Gets a quote collection that was created for a proposed payment.
## Rates

 - [GET /config/rates](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/getrates.md): Gets a list of configured exchange rates.
 - [POST /config/rates](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/createrate.md): Creates an exchange rate for a specified currency pair. **Example** - Applying a margin to the live FX rate: A USD-GBP live FX rate of 0.80 is provided by a third-party rate provider and you want to r
 - [GET /config/rates/{rate_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/getratebyid.md): Gets a configured exchange rate by ID.
 - [PUT /config/rates/{rate_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/updaterate.md): Updates an existing exchange rate. With this call, you can change `value_type` from `RATE` to `MARGIN` (and vice versa), change the actual `rate` value of the specified value type, or both. **Example*
 - [DELETE /config/rates/{rate_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/rates/deleterate.md): Deletes an exchange rate. Once deleted, an exchange rate cannot be accessed.
## Request for payment

 - [GET /request_for_payment](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/request-for-payment/getrequestsforpayment.md): Gets requests for payment that match the query parameters.
 - [POST /request_for_payment](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/request-for-payment/sendrequestforpayment.md): Sends a new request for payment.
 - [GET /request_for_payment/{request_for_payment_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/request-for-payment/getrequestforpaymentbyid.md): Gets a request for payment by request for payment ID.
 - [POST /request_for_payment/{request_for_payment_id}/accept](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/request-for-payment/acceptrequestforpayment.md): Accepts a request for payment.
 - [POST /request_for_payment/{request_for_payment_id}/fail](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/request-for-payment/failrequestforpayment.md): Fails a request for payment.
## Transfers

 - [GET /transfers](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/gettransfers.md): Gets a list of transfers.
 - [GET /transfers/estimate](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/gettransferestimate.md): Get an estimate of the fee to make an "outbound" transfer from an exchange (connected to xRapid) to an another account outside of RippleNet (such as a bank account). This operation is only available t
 - [GET /transfers/{transfer_id}](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/gettransferbyid.md): Gets a transfer by ID.
 - [POST /transfers/execute](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/executetransfer.md): Transfers funds between accounts. For example, use this request to fund a connector account by transferring funds from a transactional account to the connector account. You can also use this request t
 - [POST /transfers/{transfer_id}/complete](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/completetransfer.md): Updates the state of a transfer to `COMPLETED`. Make this request once the transfer has been made on both the ledger and on internal systems.
 - [PUT /transfers/{transfer_id}/labels](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/addtransferlabels.md): Adds a list of labels to the transfer. To retrieve transfers by label, see [Get transfers][get-transfers].
 - [DELETE /transfers/{transfer_id}/labels](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/transfers/deletetransferlabels.md): Deletes one or more existing labels from the transfer.
